<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>501.20</title>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
        integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/underscore.js/1.9.1/underscore-min.js">
    </script>
</head>

<body>

</body>
<script>
    var v1 = "this is a string";
    console.log(_.isString(v1));

    var v2 = 6;
    console.log(task2(v1, v2));

    function task2(x, y) {
        var m = x.slice(0, y);
        return m;
    }

    console.log(task3(v1));

    function task3(x) {
        return x.split(" ");
    }

    console.log(task4(v1));

    function task4(x) {
        var arr = x.split(" ");
        var newArr = "";
        for(let i in arr){
            newArr += arr[i];
            if(i == arr.length-1){
                return newArr;
            }
            newArr += "-";
        }
    }

    console.log(subtask5(v1));

    function subtask5(a){
        var cutArray = a.split(" ");
        var upperArr = "";
        for(var i in cutArray){
            var firstLetter = cutArray[i].charAt(0);
            var wordUpperedLetter = firstLetter.toUpperCase() + cutArray[i].slice(1);
            upperArr += wordUpperedLetter; 
        }
        console.log(upperArr);        
    }

    subtask5(v1);
    var v4 = "Làm biếng đi học quá";
    var v5 = "Sắp bị đuổi học rùi huhu";

    subtask5(v4);
    subtask5(v5);

    function subtask6(a){
        var cutArray = a.split(" ");
        var upperArr = "";
        for(var i in cutArray){
            var firstLetter = cutArray[i].charAt(0);
            var wordUpperedLetter = firstLetter.toUpperCase() + cutArray[i].slice(1);
            upperArr += wordUpperedLetter + " "; 
        }
        console.log(upperArr);        
    }

    subtask6(v1);
    var v4 = "Làm biếng đi học quá";
    var v5 = "Sắp bị đuổi học rùi huhu";

    subtask6(v4);
    subtask6(v5);

    function subtask7(a, n){
        var upperArr = "";
        for(var i = 0; i < n; i ++){
            upperArr += a;
        }
        console.log(upperArr);
    }

    var v6 = "Ha!";
    var v7 = "Giàu!"

    subtask7(v6,8);
    subtask7(v7,8);

    function subtask8(a,n){
        // var cut = a.split("");
        // var arrayMoi = [];
        // for(var i in cut){
        //     for(var bI = 0; bI < n; bI ++){
        //         var Nchu = "";
        //         arrayMoi[i] = Nchu;
        //         console.log(arrayMoi[i]);
        //     }
        // }
    }

    subtask8(v4,3);
</script>

</html>